Bug 983510 - WorkDefinitions.wid file not included in jar file after deployment.
WorkDefinitions.wid file not included in jar file after deployment.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 06:59 EDT by Marek Baluch
Modified: 2014-08-06 16:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:12:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-07-11 06:59:04 EDT
Description of problem:
When a new BPMN 2 process is created in a new project then a WorkDefinition.wid file is generated. When I try to build the project then the jar file does not include the WorkDefinition.wid file but only the process file.

How to reproduce:
1) create a new project
2) create a new package in the src/resources directory
3) create a new BPMN2 process.
4) optionaly refresh the view for Guvnor to detect the WorkDefinition.wid file (BZ-983509)
5) build the project

Expected result:
Both process file and wid file present in the jar file.

Actual result:
Only process file present in the jar file

Affected version:
DR6
Comment 2 Mauricio Salatino 2013-07-11 18:24:49 EDT
This is once again related with the policies to build kjars
Comment 3 manstis 2013-09-05 16:21:08 EDT
I checked a project that has a WID added manually (i.e. not via creation of a process) and it is included in the resulting KJAR. Suspect there is a problem with how WID files are created and added to the project when created along with a process. Assigning to Tiho to check.

Steps I did:-
1) Select project
2) Create new valid Work Item Definition
3) Save
4) Build & Deploy project
5) Check JAR in .m2 (it contains the WID)
Comment 4 Kris Verlaenen 2013-10-09 13:06:11 EDT
This seems to no longer be reproducable in CR4.
Comment 5 Marek Baluch 2013-11-23 10:08:26 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.